export enum UnidadProducto {
  KilosHa = "Kilogramos por hectárea",
  ToneladasHa = "Toneladas por hectárea",
  LitrosHa = "Litros por hectárea",
  UnidadesHa = "Unidades por hectárea"
}

export interface ProductoEmpleado {
  identificador?: number;
  nombre: string;
  unidadProducto?: UnidadProducto;
  cantidadEstimadaHa?: number;
  precioUnidad?: number;
  cantidadUsadaHa?: number;
}
