import { Pipe, PipeTransform } from "@angular/core";
import { EstadoTareaPipe } from "./estado-tarea.pipe";
import { EstadoTarea } from "../models/tarea";

@Pipe({
  name: "estadoTareaToString"
})
export class EstadoTareaToStringPipe implements PipeTransform {
  transform(value: string, ...args: any[]): any {
    switch (value) {
      case "PTE_ESTIMACION":
        return "Pentiente de estimación";
      case "ESTIMADA":
        return "Estimada";
      case "COMPLETADA":
        return "Completada";
    }
  }
}
