import { Pipe, PipeTransform } from "@angular/core";
import { Tarea, EstadoTarea } from "../models/tarea";
import { AppModule } from "../app.module";

@Pipe({
  name: "estadoTarea"
})
export class EstadoTareaPipe implements PipeTransform {
  transform(value: Tarea[], estado: EstadoTarea): any {
    if (value) {
      return value.filter(item => item.estadoTarea === estado);
    }
  }
}
