import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { EstadoTareaPipe } from "./estado-tarea.pipe";
import { UnidadProductoToStringPipe } from "./unidad-producto-to-string.pipe";
import { ArrayToStringPipe } from "./array-to-string.pipe";
import { EstadoTareaToStringPipe } from "./estado-tarea-to-string.pipe";
import { TieneUbicacionPipe } from "./tiene-ubicacion.pipe";
import { OrdenarPorFechaPipe } from "./ordenar-por-fecha.pipe";

@NgModule({
  declarations: [
    EstadoTareaPipe,
    UnidadProductoToStringPipe,
    ArrayToStringPipe,
    EstadoTareaToStringPipe,
    TieneUbicacionPipe,
    OrdenarPorFechaPipe
  ],
  imports: [CommonModule],
  exports: [
    EstadoTareaPipe,
    UnidadProductoToStringPipe,
    ArrayToStringPipe,
    EstadoTareaToStringPipe,
    TieneUbicacionPipe,
    OrdenarPorFechaPipe
  ]
})
export class PipesModule {}
