import { Pipe, PipeTransform } from "@angular/core";
import { EstadoTarea } from "../models/tarea";
import { UnidadProducto } from "../models/productoempleado";

@Pipe({
  name: "unidadProductoToString"
})
export class UnidadProductoToStringPipe implements PipeTransform {
  transform(unidadProducto: string, ...args: any[]): string {
    switch (unidadProducto) {
      case "KilosHa":
        return UnidadProducto["KilosHa"];
      case "LitrosHa":
        return UnidadProducto["LitrosHa"];
      case "ToneladasHa":
        return UnidadProducto["ToneladasHa"];
      case "UnidadesHa":
        return UnidadProducto["UnidadesHa"];
    }
  }
}
