import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class SnackbarService {

  public snackbarSubject: Subject<any> = new Subject<any>();
  public snackbarState = this.snackbarSubject.asObservable();

  constructor() { }

  public mostrar(mensaje: string, accion: string, color = "snackbar-normal") {
    this.snackbarSubject.next({
      mostrar: true,
      mensaje: mensaje,
      accion: accion,
      color: color
    })
  }
}
