package com.tfg.gestiontareas.model;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity(name = "ProductosTareasEmpleados")
public class ProductoTareaEmpleado extends ProductoTarea {

    @Column(name = "cantidadEstimadaHa", nullable = true)
    private Float cantidadEstimadaHa;

    @Column(name = "precioUnidad", nullable = true)
    private Float precioUnidad;

    @Column(name = "cantidadUsadaHa", nullable = true)
    private Float cantidadUsadaHa;

    public ProductoTareaEmpleado() {
        super();
    }

    public Float getCantidadEstimadaHa() {
        return cantidadEstimadaHa;
    }

    public void setCantidadEstimadaHa(Float cantidadEstimadaHa) {
        this.cantidadEstimadaHa = cantidadEstimadaHa;
    }

    public Float getPrecioUnidad() {
        return precioUnidad;
    }

    public void setPrecioUnidad(Float precioUnidad) {
        this.precioUnidad = precioUnidad;
    }

    public Float getCantidadUsadaHa() {
        return cantidadUsadaHa;
    }

    public void setCantidadUsadaHa(Float cantidadUsadaHa) {
        this.cantidadUsadaHa = cantidadUsadaHa;
    }

}