package com.tfg.gestiontareas.repository;

import java.util.List;
import java.util.Optional;

import com.tfg.gestiontareas.model.Apero;
import com.tfg.gestiontareas.model.TipoLabor;
import com.tfg.gestiontareas.model.Usuario;
import com.tfg.gestiontareas.model.UsuarioAgricultor;

import org.springframework.data.jpa.repository.JpaRepository;

public interface IRepoApero extends JpaRepository<Apero, Long> {

    List<Apero> findByPropietario(Usuario propietario);

    Optional<Apero> findByIdentificadorAndPropietario(Long idApero, UsuarioAgricultor usuarioAgricultor);

    List<Apero> findByPropietarioAndTipoLaboresContaining(UsuarioAgricultor usuarioAgricultor, TipoLabor idTipoLabor);

}