package com.tfg.gestiontareas.repository;

import java.util.List;
import java.util.Optional;

import com.tfg.gestiontareas.model.Parcela;
import com.tfg.gestiontareas.model.UsuarioAgricultor;

import org.springframework.data.jpa.repository.JpaRepository;

public interface IRepoParcela extends JpaRepository<Parcela, Long> {

    List<Parcela> findByPropietario(UsuarioAgricultor usuarioAgricultor);

    Optional<Parcela> findByIdentificadorAndPropietario(Long idParcela, UsuarioAgricultor usuarioAgricultor);

}