package com.tfg.gestiontareas.repository;

import java.util.List;
import java.util.Optional;

import com.tfg.gestiontareas.model.Parcela;
import com.tfg.gestiontareas.model.Tarea;
import com.tfg.gestiontareas.model.UsuarioAgricultor;

import org.springframework.data.jpa.repository.JpaRepository;

public interface IRepoTarea extends JpaRepository<Tarea, Long> {

    List<Tarea> findByParcela(Parcela parcela);

    Optional<Tarea> findByIdentificadorAndParcela(Long idTarea, Parcela parcela);

    Optional<Tarea> findByIdentificadorAndEncargado(Long idTarea, UsuarioAgricultor encargado);

    List<Tarea> findByEncargado(UsuarioAgricultor usuarioAgricultor);

    List<Tarea> findByParcelaPropietario(UsuarioAgricultor usuarioAgricultor);

}