package com.tfg.gestiontareas.security;

import java.io.IOException;
import java.util.Date;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.authentication.AuthenticationFailureHandler;

public class CustomAthenticationFailureHandler implements AuthenticationFailureHandler {

    public CustomAthenticationFailureHandler() {
        super();
    }

    @Override
    public void onAuthenticationFailure(HttpServletRequest request, HttpServletResponse response,
            AuthenticationException exception) throws IOException, ServletException {

        String mensaje = String.format("{\"fecha\": \"%s\", \r\n  \"error\": \"%s\"}", new Date().toString(),
                exception.getMessage());

        CustomAuthenticationResponse<String> authenticationResponse = new CustomAuthenticationResponse<String>(403,
                mensaje, response);

        authenticationResponse.crearRespuesta();
    }

}