import { Component, OnInit } from "@angular/core";
import { Constantes } from "src/app/constantes";

@Component({
  selector: "app-socios-cooperativa",
  templateUrl: "./socios-cooperativa.component.html",
  styleUrls: ["./socios-cooperativa.component.css"]
})
export class SociosCooperativaComponent implements OnInit {
  public mostrando = false;
  public codigo = "";

  constructor() {}

  ngOnInit() {
    const coopLogged = JSON.parse(
      sessionStorage.getItem(Constantes.USER_LOCAL_STORAGE)
    );
    this.codigo = `@cooperativa${coopLogged.identificador}@`;
  }

  public mostrarCodigo() {
    this.mostrando = !this.mostrando;
  }
}
