import { Apero } from "./apero";
import { Parcela } from "./parcela";
import { ProductoEmpleado } from "./productoempleado";
import { ProductoRecogido } from "./productorecogido";
import { RegistroHoras } from "./registrohoras";
import { TipoLabor } from "./tipolabor";
import { UsuarioAgricultor } from "./usuario-agricultor";

export enum EstadoTarea {
  PTE_ESTIMACION = "PTE_ESTIMACION",
  ESTIMADA = "ESTIMADA",
  COMPLETADA = "COMPLETADA"
}

export interface Tarea {
  identificador?: number;
  estadoTarea: EstadoTarea;
  fechaInicio?: Date;
  tiempoEstimadoHoras?: number;
  tipoLabor: TipoLabor;
  apero?: Apero;
  encargado: UsuarioAgricultor;
  parcela: Parcela;
  registrosHoras?: RegistroHoras[];
  productosTareaEmpleados?: ProductoEmpleado[];
  productosTareaRecogidos?: ProductoRecogido[];
}
