import { Pipe, PipeTransform } from "@angular/core";
import { Parcela } from "../models/parcela";

@Pipe({
  name: "tieneUbicacion"
})
export class TieneUbicacionPipe implements PipeTransform {
  transform(value: Parcela[], ...args: any[]): any {
    return value.filter(item => tieneUbicacion(item));
  }
}

export function tieneUbicacion(parcela: Parcela): boolean {
  return (
    parcela !== null && parcela.coordLat !== null && parcela.coordLong !== null
  );
}
