import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { TipoLabor } from '../models/tipolabor';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class PrivatetiposlaborService {

  constructor(private http: HttpClient) { }

  private url: string = `${environment.apiUrl}/private/tiposLabor`

  public getTiposLabor(): Observable<TipoLabor[]> {
    return this.http.get<TipoLabor[]>(this.url);
  }
}
