package com.tfg.gestiontareas.repository;

import java.util.List;
import java.util.Optional;

import com.tfg.gestiontareas.model.ProductoCooperativa;
import com.tfg.gestiontareas.model.UsuarioCooperativa;

import org.springframework.data.jpa.repository.JpaRepository;

public interface IRepoProductoCooperativa extends JpaRepository<ProductoCooperativa, Long> {

    List<ProductoCooperativa> findByCooperativa(UsuarioCooperativa userCooperativa);

    Optional<ProductoCooperativa> findByIdentificadorAndCooperativa(Long idProducto,
            UsuarioCooperativa userCooperativa);

}