package com.tfg.gestiontareas.repository;

import java.util.List;
import java.util.Optional;

import com.tfg.gestiontareas.model.ProductoTareaEmpleado;
import com.tfg.gestiontareas.model.Tarea;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface IRepoProductoTareaEmpleado extends JpaRepository<ProductoTareaEmpleado, Long> {

    List<ProductoTareaEmpleado> findByTarea(Tarea tarea);

    Optional<ProductoTareaEmpleado> findByIdentificadorAndTarea(Long idProducto, Tarea tarea);

}