package com.tfg.gestiontareas.repository;

import java.util.List;
import java.util.Optional;

import com.tfg.gestiontareas.model.ProductoTareaRecogido;
import com.tfg.gestiontareas.model.Tarea;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface IRepoProductoTareaRecogido extends JpaRepository<ProductoTareaRecogido, Long> {

    List<ProductoTareaRecogido> findByTarea(Tarea tarea);

    Optional<ProductoTareaRecogido> findByIdentificadorAndTarea(Long idProducto, Tarea tarea);

}