package com.tfg.gestiontareas.security;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletResponseWrapper;

public class CustomAuthenticationResponse<T> extends HttpServletResponseWrapper {

    private T cuerpo;

    public CustomAuthenticationResponse(int status, T cuerpo, HttpServletResponse httpServletResponse) {
        super(httpServletResponse);
        this.cuerpo = cuerpo;
        setStatus(status);
        setContentType("application/json");
        setCharacterEncoding("UTF-8");
    }

    public T getCuerpo() {
        return cuerpo;
    }

    public void setCuerpo(T cuerpo) {
        this.cuerpo = cuerpo;
    }

    public void crearRespuesta() throws IOException {
        PrintWriter printWriter = getWriter();
        printWriter.println(cuerpo);
    }

}