package com.tfg.gestion_tareas_android.api;

import com.tfg.gestion_tareas_android.models.LoginMapper;
import com.tfg.gestion_tareas_android.models.Tarea;
import com.tfg.gestion_tareas_android.models.TokenResponse;

import java.util.ArrayList;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.Header;
import retrofit2.http.POST;
import retrofit2.http.Path;

public interface ApiClient {

    @POST("api/public/login")
    Call<TokenResponse> login(@Body LoginMapper login);

    @GET("api/private/agricultores/{id}/tareas?hoy=true")
    Call<ArrayList<Tarea>> getTareas(@Path("id") Long identificador, @Header("Authorization") String token);
}
